package com.bonait.bnframework.HBL.Communication.Modbus;

import com.bonait.bnframework.HBL.Result.OperateResultT;

public interface IRead {

    OperateResultT<boolean[]> ReadBool(String address, int length);
    OperateResultT<Boolean> ReadBool(String address);
    OperateResultT<boolean[]> ReadInputCoil(String address, int length);
    OperateResultT<Boolean> ReadInputCoil(String address);

    OperateResultT<short[]> ReadShort(String address, int length);
    OperateResultT<Short> ReadShort(String address);

    OperateResultT<int[]> ReadInt(String address, int length);
    OperateResultT<Integer> ReadInt(String address);

    OperateResultT<byte[]> ReadByte(String address, int length);

    OperateResultT<String> ReadString(String address, int length);

    OperateResultT<float[]> ReadFloat(String address, int length);
    OperateResultT<Float> ReadFloat(String address);
}
